from typing import List

from clarabot_nano.control.client import WxCoreInterface
from clarabot_nano.control.nano.base import (
    NanoRequestProgressDialog,
    ConfigUpdateNanoRequestProgressStep,
)


class ConfigUpdateProgressDialog(NanoRequestProgressDialog):
    def __init__(self, core_interface: WxCoreInterface, parent, steps: List[ConfigUpdateNanoRequestProgressStep]):
        NanoRequestProgressDialog.__init__(
            self,
            core_interface,
            parent,
            gettext("Updating Nano configuration..."),
            steps,
            gettext("Configurations updated successfully!"),
        )
